Package org.eclipse.rdf4j.federated.monitoring

## Class MonitoringImpl

- java.lang.Object
- - org.eclipse.rdf4j.federated.monitoring.MonitoringImpl

- All Implemented Interfaces:
    `Monitoring`, `MonitoringService`

      public class MonitoringImpl
      extends Object
      implements MonitoringService

  Implementation supporting the following monitoring features: - monitor remote requests per endpoint - maintain a query backlog using `QueryLog`
  Author:
    andreas_s

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MonitoringImpl.MonitoringInformation` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<MonitoringImpl.MonitoringInformation>` | `getAllMonitoringInformation()` |
    `MonitoringImpl.MonitoringInformation` | `getMonitoringInformation​(Endpoint e)` |
    `void` | `logQueryPlan​(TupleExpr tupleExpr)` |
    `void` | `monitorQuery​(QueryInfo query)` |
    `void` | `monitorRemoteRequest​(Endpoint e)` |
    `void` | `resetMonitoringInformation()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### monitorRemoteRequest

          public void monitorRemoteRequest​(Endpoint e)

      Specified by:
        `monitorRemoteRequest` in interface `Monitoring`

    - #### getMonitoringInformation

          public MonitoringImpl.MonitoringInformation getMonitoringInformation​(Endpoint e)

      Specified by:
        `getMonitoringInformation` in interface `MonitoringService`

    - #### getAllMonitoringInformation

          public List<MonitoringImpl.MonitoringInformation> getAllMonitoringInformation()

      Specified by:
        `getAllMonitoringInformation` in interface `MonitoringService`

    - #### resetMonitoringInformation

          public void resetMonitoringInformation()

      Specified by:
        `resetMonitoringInformation` in interface `Monitoring`

    - #### monitorQuery

          public void monitorQuery​(QueryInfo query)

      Specified by:
        `monitorQuery` in interface `Monitoring`

    - #### logQueryPlan

          public void logQueryPlan​(TupleExpr tupleExpr)

      Specified by:
        `logQueryPlan` in interface `Monitoring`